<html>
<head>
<title>Ogre::Pose Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Pose.html">Pose</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Pose Class Reference<div class="ingroups"><a class="el" href="group__Animation.html">Animation</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Pose" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>A pose is a linked set of vertex offsets applying to one set of vertex data.  
 <a href="classOgre_1_1Pose.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgrePose_8h_source.html">OgrePose.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::Pose:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1Pose__inherit__graph.gif" border="0" usemap="#Ogre_1_1Pose_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1Pose_inherit__map" id="Ogre_1_1Pose_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="5,5,115,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1Pose-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; size_t, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#a2508702f4d3791dc59ce9af8fdfa998e">VertexOffsetMap</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A collection of vertex offsets based on the vertex index.  <a href="#a2508702f4d3791dc59ce9af8fdfa998e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1Pose.html#a2508702f4d3791dc59ce9af8fdfa998e">VertexOffsetMap</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#aab53719cd5a035c0b5ca9301c9927a9a">VertexOffsetIterator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">An iterator over the vertex offsets.  <a href="#aab53719cd5a035c0b5ca9301c9927a9a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1ConstMapIterator.html">ConstMapIterator</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1Pose.html#a2508702f4d3791dc59ce9af8fdfa998e">VertexOffsetMap</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#ab7830f6ad3feaf3740a8e6477d97cef5">ConstVertexOffsetIterator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">An iterator over the vertex offsets.  <a href="#ab7830f6ad3feaf3740a8e6477d97cef5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; size_t, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#a77b417702362e8a351c220dd4deeaf80">NormalsMap</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">A collection of normals based on the vertex index.  <a href="#a77b417702362e8a351c220dd4deeaf80"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt; <a class="el" href="classOgre_1_1Pose.html#a77b417702362e8a351c220dd4deeaf80">NormalsMap</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#a326485fc1f4fd6a07c4e21b0ddf165a3">NormalsIterator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">An iterator over the vertex offsets.  <a href="#a326485fc1f4fd6a07c4e21b0ddf165a3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1ConstMapIterator.html">ConstMapIterator</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1Pose.html#a77b417702362e8a351c220dd4deeaf80">NormalsMap</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#a537dcec01c2cc2f8021e4c89aa9fdde9">ConstNormalsIterator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">An iterator over the vertex offsets.  <a href="#a537dcec01c2cc2f8021e4c89aa9fdde9"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#a3cafdf6a9c77f21d06befd7a2f2dc89c">Pose</a> (<a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> target, const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name=<a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a>)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a3cafdf6a9c77f21d06befd7a2f2dc89c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#ac969f4336838560b56d2ad650f48595f">~Pose</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#a73c497f062296a446298258d3b500e86">getName</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the name of the pose (may be blank)  <a href="#a73c497f062296a446298258d3b500e86"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#a8c18792868f8165a19ef645b9395a20b">getTarget</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the target geometry index of the pose.  <a href="#a8c18792868f8165a19ef645b9395a20b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#a32721dacadc6b0dfbef78318b3a41929">getIncludesNormals</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return whether the pose vertices include normals.  <a href="#a32721dacadc6b0dfbef78318b3a41929"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#ae61acae74c70fb3646902ce5f04ee3e7">addVertex</a> (size_t index, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;offset)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds an offset to a vertex for this pose.  <a href="#ae61acae74c70fb3646902ce5f04ee3e7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#af88898dd4ae88f28fe8815137a308c51">addVertex</a> (size_t index, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;offset, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;normal)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds an offset to a vertex and a new normal for this pose.  <a href="#af88898dd4ae88f28fe8815137a308c51"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#a139c78110101298ddde260277e0d38f1">removeVertex</a> (size_t index)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove a vertex offset.  <a href="#a139c78110101298ddde260277e0d38f1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#aac73c679713e93a8dad3dfed46038809">clearVertices</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear all vertices.  <a href="#aac73c679713e93a8dad3dfed46038809"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Pose.html#ab7830f6ad3feaf3740a8e6477d97cef5">ConstVertexOffsetIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#aaf66be533fd63dff6be363d573ae6740">getVertexOffsetIterator</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets an iterator over all the vertex offsets.  <a href="#aaf66be533fd63dff6be363d573ae6740"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Pose.html#aab53719cd5a035c0b5ca9301c9927a9a">VertexOffsetIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#a0f6ceaf2411fe3b8e63652b4a182ca35">getVertexOffsetIterator</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets an iterator over all the vertex offsets.  <a href="#a0f6ceaf2411fe3b8e63652b4a182ca35"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Pose.html#a2508702f4d3791dc59ce9af8fdfa998e">VertexOffsetMap</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#a7216f1dac1bd9e0bec03160d2929248a">getVertexOffsets</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets a const reference to the vertex offsets.  <a href="#a7216f1dac1bd9e0bec03160d2929248a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Pose.html#a537dcec01c2cc2f8021e4c89aa9fdde9">ConstNormalsIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#aeafa497d9f16d22f6d8782c375e85b7e">getNormalsIterator</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets an iterator over all the vertex offsets.  <a href="#aeafa497d9f16d22f6d8782c375e85b7e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Pose.html#a326485fc1f4fd6a07c4e21b0ddf165a3">NormalsIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#ab72ff022a57f41a11e33edd782089382">getNormalsIterator</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets an iterator over all the vertex offsets.  <a href="#ab72ff022a57f41a11e33edd782089382"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Pose.html#a77b417702362e8a351c220dd4deeaf80">NormalsMap</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#a56c3f18962e02907fff9eba2c196250c">getNormals</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets a const reference to the vertex offsets.  <a href="#a56c3f18962e02907fff9eba2c196250c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <br class="typebreak"/>
<a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#a3d1113ada247586b91465b3e1a02eb67">_getHardwareVertexBuffer</a> (const <a class="el" href="classOgre_1_1VertexData.html">VertexData</a> *origData) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a hardware vertex buffer version of the vertex offsets.  <a href="#a3d1113ada247586b91465b3e1a02eb67"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Pose.html">Pose</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#a153cee4b0f92d630006125ea2d17e9ee">clone</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clone this pose and create another one configured exactly the same way (only really useful for cloning holders of this class).  <a href="#a153cee4b0f92d630006125ea2d17e9ee"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#af23de51f107e8192583857cf230a574e">mTarget</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Target geometry index.  <a href="#af23de51f107e8192583857cf230a574e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#a4dfab7ef915235c4e3885054f0649c3e">mName</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Optional name.  <a href="#a4dfab7ef915235c4e3885054f0649c3e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Pose.html#a2508702f4d3791dc59ce9af8fdfa998e">VertexOffsetMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#ae0965a04e0b5b5285e29b10e646561a0">mVertexOffsetMap</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Primary storage, sparse vertex use.  <a href="#ae0965a04e0b5b5285e29b10e646561a0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Pose.html#a77b417702362e8a351c220dd4deeaf80">NormalsMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#a9de08a9989c25596cd55706376beaf06">mNormalsMap</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Primary storage, sparse vertex use.  <a href="#a9de08a9989c25596cd55706376beaf06"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Pose.html#a4256531f55d7093373437ca1864115a5">mBuffer</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Derived hardware buffer, covers all vertices.  <a href="#a4256531f55d7093373437ca1864115a5"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A pose is a linked set of vertex offsets applying to one set of vertex data. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>The target index referred to by the pose has a meaning set by the user of this class; but for example when used by <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> it refers to either the <a class="el" href="classOgre_1_1Mesh.html">Mesh</a> shared geometry (0) or a <a class="el" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a> dedicated geometry (1+). <a class="el" href="classOgre_1_1Pose.html" title="A pose is a linked set of vertex offsets applying to one set of vertex data.">Pose</a> instances can be referred to by keyframes in <a class="el" href="classOgre_1_1VertexAnimationTrack.html" title="Specialised AnimationTrack for dealing with changing vertex position information.">VertexAnimationTrack</a> in order to animate based on blending poses together. </dd></dl>

<p>Definition at line <a class="el" href="OgrePose_8h_source.html#l00054">54</a> of file <a class="el" href="OgrePose_8h_source.html">OgrePose.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a537dcec01c2cc2f8021e4c89aa9fdde9"></a><!-- doxytag: member="Ogre::Pose::ConstNormalsIterator" ref="a537dcec01c2cc2f8021e4c89aa9fdde9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1ConstMapIterator.html">ConstMapIterator</a>&lt;<a class="el" href="classOgre_1_1Pose.html#a77b417702362e8a351c220dd4deeaf80">NormalsMap</a>&gt; <a class="el" href="classOgre_1_1Pose.html#a537dcec01c2cc2f8021e4c89aa9fdde9">Ogre::Pose::ConstNormalsIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>An iterator over the vertex offsets. </p>

<p>Definition at line <a class="el" href="OgrePose_8h_source.html#l00079">79</a> of file <a class="el" href="OgrePose_8h_source.html">OgrePose.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab7830f6ad3feaf3740a8e6477d97cef5"></a><!-- doxytag: member="Ogre::Pose::ConstVertexOffsetIterator" ref="ab7830f6ad3feaf3740a8e6477d97cef5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1ConstMapIterator.html">ConstMapIterator</a>&lt;<a class="el" href="classOgre_1_1Pose.html#a2508702f4d3791dc59ce9af8fdfa998e">VertexOffsetMap</a>&gt; <a class="el" href="classOgre_1_1Pose.html#ab7830f6ad3feaf3740a8e6477d97cef5">Ogre::Pose::ConstVertexOffsetIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>An iterator over the vertex offsets. </p>

<p>Definition at line <a class="el" href="OgrePose_8h_source.html#l00073">73</a> of file <a class="el" href="OgrePose_8h_source.html">OgrePose.h</a>.</p>

</div>
</div>
<a class="anchor" id="a326485fc1f4fd6a07c4e21b0ddf165a3"></a><!-- doxytag: member="Ogre::Pose::NormalsIterator" ref="a326485fc1f4fd6a07c4e21b0ddf165a3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt;<a class="el" href="classOgre_1_1Pose.html#a77b417702362e8a351c220dd4deeaf80">NormalsMap</a>&gt; <a class="el" href="classOgre_1_1Pose.html#a326485fc1f4fd6a07c4e21b0ddf165a3">Ogre::Pose::NormalsIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>An iterator over the vertex offsets. </p>

<p>Definition at line <a class="el" href="OgrePose_8h_source.html#l00077">77</a> of file <a class="el" href="OgrePose_8h_source.html">OgrePose.h</a>.</p>

</div>
</div>
<a class="anchor" id="a77b417702362e8a351c220dd4deeaf80"></a><!-- doxytag: member="Ogre::Pose::NormalsMap" ref="a77b417702362e8a351c220dd4deeaf80" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;size_t, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&gt;::type <a class="el" href="classOgre_1_1Pose.html#a77b417702362e8a351c220dd4deeaf80">Ogre::Pose::NormalsMap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A collection of normals based on the vertex index. </p>

<p>Definition at line <a class="el" href="OgrePose_8h_source.html#l00075">75</a> of file <a class="el" href="OgrePose_8h_source.html">OgrePose.h</a>.</p>

</div>
</div>
<a class="anchor" id="aab53719cd5a035c0b5ca9301c9927a9a"></a><!-- doxytag: member="Ogre::Pose::VertexOffsetIterator" ref="aab53719cd5a035c0b5ca9301c9927a9a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt;<a class="el" href="classOgre_1_1Pose.html#a2508702f4d3791dc59ce9af8fdfa998e">VertexOffsetMap</a>&gt; <a class="el" href="classOgre_1_1Pose.html#aab53719cd5a035c0b5ca9301c9927a9a">Ogre::Pose::VertexOffsetIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>An iterator over the vertex offsets. </p>

<p>Definition at line <a class="el" href="OgrePose_8h_source.html#l00071">71</a> of file <a class="el" href="OgrePose_8h_source.html">OgrePose.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2508702f4d3791dc59ce9af8fdfa998e"></a><!-- doxytag: member="Ogre::Pose::VertexOffsetMap" ref="a2508702f4d3791dc59ce9af8fdfa998e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;size_t, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&gt;::type <a class="el" href="classOgre_1_1Pose.html#a2508702f4d3791dc59ce9af8fdfa998e">Ogre::Pose::VertexOffsetMap</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>A collection of vertex offsets based on the vertex index. </p>

<p>Definition at line <a class="el" href="OgrePose_8h_source.html#l00069">69</a> of file <a class="el" href="OgrePose_8h_source.html">OgrePose.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a3cafdf6a9c77f21d06befd7a2f2dc89c"></a><!-- doxytag: member="Ogre::Pose::Pose" ref="a3cafdf6a9c77f21d06befd7a2f2dc89c" args="(ushort target, const String &amp;name=StringUtil::BLANK)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Pose.html#a3cafdf6a9c77f21d06befd7a2f2dc89c">Ogre::Pose::Pose</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em> = <code><a class="el" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da">StringUtil::BLANK</a></code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">target</td><td>The target vertexdata index (0 for shared, 1+ for dedicated at the submesh index + 1) </td></tr>
    <tr><td class="paramname">name</td><td>Optional name </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac969f4336838560b56d2ad650f48595f"></a><!-- doxytag: member="Ogre::Pose::~Pose" ref="ac969f4336838560b56d2ad650f48595f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Pose.html#ac969f4336838560b56d2ad650f48595f">Ogre::Pose::~Pose</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a3d1113ada247586b91465b3e1a02eb67"></a><!-- doxytag: member="Ogre::Pose::_getHardwareVertexBuffer" ref="a3d1113ada247586b91465b3e1a02eb67" args="(const VertexData *origData) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a>&amp; <a class="el" href="classOgre_1_1Pose.html#a3d1113ada247586b91465b3e1a02eb67">Ogre::Pose::_getHardwareVertexBuffer</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1VertexData.html">VertexData</a> *&#160;</td>
          <td class="paramname"><em>origData</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get a hardware vertex buffer version of the vertex offsets. </p>

</div>
</div>
<a class="anchor" id="ae61acae74c70fb3646902ce5f04ee3e7"></a><!-- doxytag: member="Ogre::Pose::addVertex" ref="ae61acae74c70fb3646902ce5f04ee3e7" args="(size_t index, const Vector3 &amp;offset)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Pose.html#ae61acae74c70fb3646902ce5f04ee3e7">Ogre::Pose::addVertex</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>offset</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adds an offset to a vertex for this pose. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td>The vertex index </td></tr>
    <tr><td class="paramname">offset</td><td>The position offset for this pose </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af88898dd4ae88f28fe8815137a308c51"></a><!-- doxytag: member="Ogre::Pose::addVertex" ref="af88898dd4ae88f28fe8815137a308c51" args="(size_t index, const Vector3 &amp;offset, const Vector3 &amp;normal)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Pose.html#ae61acae74c70fb3646902ce5f04ee3e7">Ogre::Pose::addVertex</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>offset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>normal</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adds an offset to a vertex and a new normal for this pose. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td>The vertex index </td></tr>
    <tr><td class="paramname">offset</td><td>The position offset for this pose </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aac73c679713e93a8dad3dfed46038809"></a><!-- doxytag: member="Ogre::Pose::clearVertices" ref="aac73c679713e93a8dad3dfed46038809" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Pose.html#aac73c679713e93a8dad3dfed46038809">Ogre::Pose::clearVertices</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clear all vertices. </p>

</div>
</div>
<a class="anchor" id="a153cee4b0f92d630006125ea2d17e9ee"></a><!-- doxytag: member="Ogre::Pose::clone" ref="a153cee4b0f92d630006125ea2d17e9ee" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Pose.html">Pose</a>* <a class="el" href="classOgre_1_1Pose.html#a153cee4b0f92d630006125ea2d17e9ee">Ogre::Pose::clone</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clone this pose and create another one configured exactly the same way (only really useful for cloning holders of this class). </p>

</div>
</div>
<a class="anchor" id="a32721dacadc6b0dfbef78318b3a41929"></a><!-- doxytag: member="Ogre::Pose::getIncludesNormals" ref="a32721dacadc6b0dfbef78318b3a41929" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Pose.html#a32721dacadc6b0dfbef78318b3a41929">Ogre::Pose::getIncludesNormals</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return whether the pose vertices include normals. </p>

<p>Definition at line <a class="el" href="OgrePose_8h_source.html#l00081">81</a> of file <a class="el" href="OgrePose_8h_source.html">OgrePose.h</a>.</p>

</div>
</div>
<a class="anchor" id="a73c497f062296a446298258d3b500e86"></a><!-- doxytag: member="Ogre::Pose::getName" ref="a73c497f062296a446298258d3b500e86" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1Pose.html#a73c497f062296a446298258d3b500e86">Ogre::Pose::getName</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the name of the pose (may be blank) </p>

<p>Definition at line <a class="el" href="OgrePose_8h_source.html#l00065">65</a> of file <a class="el" href="OgrePose_8h_source.html">OgrePose.h</a>.</p>

</div>
</div>
<a class="anchor" id="a56c3f18962e02907fff9eba2c196250c"></a><!-- doxytag: member="Ogre::Pose::getNormals" ref="a56c3f18962e02907fff9eba2c196250c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Pose.html#a77b417702362e8a351c220dd4deeaf80">NormalsMap</a>&amp; <a class="el" href="classOgre_1_1Pose.html#a56c3f18962e02907fff9eba2c196250c">Ogre::Pose::getNormals</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets a const reference to the vertex offsets. </p>

<p>Definition at line <a class="el" href="OgrePose_8h_source.html#l00113">113</a> of file <a class="el" href="OgrePose_8h_source.html">OgrePose.h</a>.</p>

</div>
</div>
<a class="anchor" id="aeafa497d9f16d22f6d8782c375e85b7e"></a><!-- doxytag: member="Ogre::Pose::getNormalsIterator" ref="aeafa497d9f16d22f6d8782c375e85b7e" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Pose.html#a537dcec01c2cc2f8021e4c89aa9fdde9">ConstNormalsIterator</a> <a class="el" href="classOgre_1_1Pose.html#aeafa497d9f16d22f6d8782c375e85b7e">Ogre::Pose::getNormalsIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets an iterator over all the vertex offsets. </p>

</div>
</div>
<a class="anchor" id="ab72ff022a57f41a11e33edd782089382"></a><!-- doxytag: member="Ogre::Pose::getNormalsIterator" ref="ab72ff022a57f41a11e33edd782089382" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Pose.html#a326485fc1f4fd6a07c4e21b0ddf165a3">NormalsIterator</a> <a class="el" href="classOgre_1_1Pose.html#aeafa497d9f16d22f6d8782c375e85b7e">Ogre::Pose::getNormalsIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets an iterator over all the vertex offsets. </p>

</div>
</div>
<a class="anchor" id="a8c18792868f8165a19ef645b9395a20b"></a><!-- doxytag: member="Ogre::Pose::getTarget" ref="a8c18792868f8165a19ef645b9395a20b" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1Pose.html#a8c18792868f8165a19ef645b9395a20b">Ogre::Pose::getTarget</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the target geometry index of the pose. </p>

<p>Definition at line <a class="el" href="OgrePose_8h_source.html#l00067">67</a> of file <a class="el" href="OgrePose_8h_source.html">OgrePose.h</a>.</p>

</div>
</div>
<a class="anchor" id="aaf66be533fd63dff6be363d573ae6740"></a><!-- doxytag: member="Ogre::Pose::getVertexOffsetIterator" ref="aaf66be533fd63dff6be363d573ae6740" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Pose.html#ab7830f6ad3feaf3740a8e6477d97cef5">ConstVertexOffsetIterator</a> <a class="el" href="classOgre_1_1Pose.html#aaf66be533fd63dff6be363d573ae6740">Ogre::Pose::getVertexOffsetIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets an iterator over all the vertex offsets. </p>

</div>
</div>
<a class="anchor" id="a0f6ceaf2411fe3b8e63652b4a182ca35"></a><!-- doxytag: member="Ogre::Pose::getVertexOffsetIterator" ref="a0f6ceaf2411fe3b8e63652b4a182ca35" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Pose.html#aab53719cd5a035c0b5ca9301c9927a9a">VertexOffsetIterator</a> <a class="el" href="classOgre_1_1Pose.html#aaf66be533fd63dff6be363d573ae6740">Ogre::Pose::getVertexOffsetIterator</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets an iterator over all the vertex offsets. </p>

</div>
</div>
<a class="anchor" id="a7216f1dac1bd9e0bec03160d2929248a"></a><!-- doxytag: member="Ogre::Pose::getVertexOffsets" ref="a7216f1dac1bd9e0bec03160d2929248a" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Pose.html#a2508702f4d3791dc59ce9af8fdfa998e">VertexOffsetMap</a>&amp; <a class="el" href="classOgre_1_1Pose.html#a7216f1dac1bd9e0bec03160d2929248a">Ogre::Pose::getVertexOffsets</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets a const reference to the vertex offsets. </p>

<p>Definition at line <a class="el" href="OgrePose_8h_source.html#l00106">106</a> of file <a class="el" href="OgrePose_8h_source.html">OgrePose.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::Pose::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::Pose::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::Pose::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::Pose::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::Pose::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::Pose::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::Pose::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::Pose::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::Pose::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::Pose::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a139c78110101298ddde260277e0d38f1"></a><!-- doxytag: member="Ogre::Pose::removeVertex" ref="a139c78110101298ddde260277e0d38f1" args="(size_t index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Pose.html#a139c78110101298ddde260277e0d38f1">Ogre::Pose::removeVertex</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove a vertex offset. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a4256531f55d7093373437ca1864115a5"></a><!-- doxytag: member="Ogre::Pose::mBuffer" ref="a4256531f55d7093373437ca1864115a5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1HardwareVertexBufferSharedPtr.html">HardwareVertexBufferSharedPtr</a> <a class="el" href="classOgre_1_1Pose.html#a4256531f55d7093373437ca1864115a5">Ogre::Pose::mBuffer</a><code> [mutable, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Derived hardware buffer, covers all vertices. </p>

<p>Definition at line <a class="el" href="OgrePose_8h_source.html#l00132">132</a> of file <a class="el" href="OgrePose_8h_source.html">OgrePose.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4dfab7ef915235c4e3885054f0649c3e"></a><!-- doxytag: member="Ogre::Pose::mName" ref="a4dfab7ef915235c4e3885054f0649c3e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Pose.html#a4dfab7ef915235c4e3885054f0649c3e">Ogre::Pose::mName</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Optional name. </p>

<p>Definition at line <a class="el" href="OgrePose_8h_source.html#l00126">126</a> of file <a class="el" href="OgrePose_8h_source.html">OgrePose.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9de08a9989c25596cd55706376beaf06"></a><!-- doxytag: member="Ogre::Pose::mNormalsMap" ref="a9de08a9989c25596cd55706376beaf06" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Pose.html#a77b417702362e8a351c220dd4deeaf80">NormalsMap</a> <a class="el" href="classOgre_1_1Pose.html#a9de08a9989c25596cd55706376beaf06">Ogre::Pose::mNormalsMap</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Primary storage, sparse vertex use. </p>

<p>Definition at line <a class="el" href="OgrePose_8h_source.html#l00130">130</a> of file <a class="el" href="OgrePose_8h_source.html">OgrePose.h</a>.</p>

</div>
</div>
<a class="anchor" id="af23de51f107e8192583857cf230a574e"></a><!-- doxytag: member="Ogre::Pose::mTarget" ref="af23de51f107e8192583857cf230a574e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1Pose.html#af23de51f107e8192583857cf230a574e">Ogre::Pose::mTarget</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Target geometry index. </p>

<p>Definition at line <a class="el" href="OgrePose_8h_source.html#l00124">124</a> of file <a class="el" href="OgrePose_8h_source.html">OgrePose.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae0965a04e0b5b5285e29b10e646561a0"></a><!-- doxytag: member="Ogre::Pose::mVertexOffsetMap" ref="ae0965a04e0b5b5285e29b10e646561a0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Pose.html#a2508702f4d3791dc59ce9af8fdfa998e">VertexOffsetMap</a> <a class="el" href="classOgre_1_1Pose.html#ae0965a04e0b5b5285e29b10e646561a0">Ogre::Pose::mVertexOffsetMap</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Primary storage, sparse vertex use. </p>

<p>Definition at line <a class="el" href="OgrePose_8h_source.html#l00128">128</a> of file <a class="el" href="OgrePose_8h_source.html">OgrePose.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgrePose_8h_source.html">OgrePose.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
